%{?drupal7_find_provides_and_requires}

%global module pathauto

Name:          drupal7-%{module}
Version:       1.3
Release:       2%{?dist}
Summary:       Automatically generates URL/path aliases for various kinds of content

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild >= 7.23-3

# pathauto.info
Requires:      drupal7(path)
Requires:      drupal7(token)
# phpcompatinfo (computed from version 1.3)
Requires:      php-mbstring
Requires:      php-pcre

%description
The Pathauto module automatically generates URL/path aliases for various kinds
of content (nodes, taxonomy terms, users) without requiring the user to manually
specify the path alias. This allows you to have URL aliases like
/category/my-node-title instead of /node/123. The aliases are based upon a
"pattern" system that uses tokens which the administrator can change.

This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{module}


%build
# Emtpy build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{?_licensedir:%license LICENSE.txt}
%{drupal7_modules}/%{module}


%changelog
* Sat Oct 10 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.3-2
- Re-add EPEL 5 bits
- Add drupal7(path) and drupal7(token) dependencies

* Sat Oct 10 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.3-1
- Updated to 1.3 (RHBZ #1270073)
- Spec cleanup

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 13 2012 Peter Borsa <peter.borsa@gmail.com> - 1.2-1
- Update to upstream release 1.2

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 14 2012 Jared Smith <jsmith@fedoraproject.org> - 1.1-1
- Update to upstream release 1.1
- Upstream release notes at http://drupal.org/node/1576582

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 29 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-1
- New upstream version.

* Fri Sep 23 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.1.rc2
- Initial packaging

